package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * It is required when [configType] is 0.
 */
@ApiModel(description = "It is required when [configType] is 0.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class AutoConfigOpenApiVo   {
  @JsonProperty("location")
  private Integer location;

  @JsonProperty("mobileISP")
  private Integer mobileISP;

  public AutoConfigOpenApiVo location(Integer location) {
    this.location = location;
    return this;
  }

  /**
   * Location index, which refers to \"Get location and ISP info\".
   * @return location
  */
  @ApiModelProperty(required = true, value = "Location index, which refers to \"Get location and ISP info\".")
  @NotNull


  public Integer getLocation() {
    return location;
  }

  public void setLocation(Integer location) {
    this.location = location;
  }

  public AutoConfigOpenApiVo mobileISP(Integer mobileISP) {
    this.mobileISP = mobileISP;
    return this;
  }

  /**
   * MobileISP index, which refers to \"Get location and ISP info\".
   * @return mobileISP
  */
  @ApiModelProperty(required = true, value = "MobileISP index, which refers to \"Get location and ISP info\".")
  @NotNull


  public Integer getMobileISP() {
    return mobileISP;
  }

  public void setMobileISP(Integer mobileISP) {
    this.mobileISP = mobileISP;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AutoConfigOpenApiVo autoConfigOpenApiVo = (AutoConfigOpenApiVo) o;
    return Objects.equals(this.location, autoConfigOpenApiVo.location) &&
        Objects.equals(this.mobileISP, autoConfigOpenApiVo.mobileISP);
  }

  @Override
  public int hashCode() {
    return Objects.hash(location, mobileISP);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AutoConfigOpenApiVo {\n");
    
    sb.append("    location: ").append(toIndentedString(location)).append("\n");
    sb.append("    mobileISP: ").append(toIndentedString(mobileISP)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

